## DhProfile DhProfile — libdevhelp profile |

## Functions

DhProfile * | dh_profile_get_default ()
DhSettings * | dh_profile_get_settings ()
DhBookList * | dh_profile_get_book_list ()

## Types and Values

struct | DhProfile

## Object Hierarchy

        GObject
        ╰── DhProfile

## Includes

    #include <devhelp/devhelp.h>

## Description

DhProfile permits to configure other libdevhelp objects. For example DhSidebar has the “profile” construct-only property. A DhProfile contains a DhSettings object and a DhBookList object. As a convention for other libdevhelp classes that use DhProfile, if the DhProfile is not provided (i.e. it is set to `NULL`), then the default profile is used, see `dh_profile_get_default()`.

There is the possibility to run in parallel multiple profiles in the same process, for example:

- In an IDE for different projects or different programming languages.

- In different GtkWindow's of the API browser application.

With DhSettings it's possible to share some GSettings keys between different profiles.

A possible use-case is to have one "generic" profile, which corresponds to the default profile as returned by `dh_profile_get_default()`. And another profile tailored to a specific development platform (for example GNOME), providing additional features useful for that development platform (for example to download the latest API documentation, have a start page, etc).

## Functions

### dh_profile_get_default ()

    DhProfile *
    dh_profile_get_default (void);

Gets the default DhProfile object. It has the default DhSettings object as returned by `dh_settings_get_default()`, and the default DhBookList object as returned by `dh_book_list_get_default()`.

#### Returns

the default DhProfile object.

[transfer none]

Since: 3.30

### dh_profile_get_settings ()

    DhSettings *
    dh_profile_get_settings (DhProfile *profile);

Gets the DhSettings object of `profile` . The returned object is guaranteed to be the same for the lifetime of `profile` .

#### Parameters

profile | a DhProfile. |

#### Returns

the DhSettings of `profile` .

[transfer none]

Since: 3.30

### dh_profile_get_book_list ()

    DhBookList *
    dh_profile_get_book_list (DhProfile *profile);

Gets the DhBookList object of `profile` . The returned object is guaranteed to be the same for the lifetime of `profile` .

#### Parameters

profile | a DhProfile. |

#### Returns

the DhBookList of `profile` .

[transfer none]

Since: 3.30

## Types and Values

### struct DhProfile

    struct DhProfile;